Skip to content

Update Session

PATCH /sessions/{session_id}

Title, activity flag and attributes. The counters are the platform’s.

NameInTypeNotes
session_idpathstring (uuid)required—
FieldTypeNotes
titlestring | nulloptionalmax length 300
is_activeboolean | nulloptional—
attributesobject | nulloptional—
StatusDescriptionBody
200Successful ResponseSessionView
422Validation ErrorHTTPValidationError
Terminal window
curl -X PATCH https://your-deployment.example.com/sessions/{session_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
agent_idstring (uuid) | nullrequired, nullable—
subject_kinduser | guest | nullrequired, nullable—
subject_idstring | nullrequired, nullable—
external_keystring | nullrequired, nullable—
titlestring | nullrequired, nullable—
originapi | schedule | event | channel | delegation | retry | replay | maintenance | system | nullrequired, nullable—
message_countintegerrequired—
is_activebooleanrequired—
attributesobjectrequired—
last_activity_atstring (date-time)required—
created_atstring (date-time)required—